Bug report #14433

Selecting by Expression aborts with a minidump

Added by Peter Cooper over 4 years ago. Updated about 3 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Unknown
Affected QGIS version:2.8.3 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:Yes Copied to github as #:22412

Description

I am processing a series of shapefiles (from OS Open Map - Local in the UK) using an expression (see below) to pick out a rectangle of features, so that I can Copy/Paste to new vector layers and concentrate on a small area around my village. Some work fine, but others cause QGIS to abort during the selection with a minidump (2 attached).

I suspect it might be because there were no features in the shapefile within the rectangle, because all the ones I expected to have features within the rectangle worked OK.

Expression used: (xmin($geometry) < 537114.565 and xmax($geometry)>532059.373) and (ymin($geometry) <274187.017 and ymax($geometry) >269687.748)

TL_SurfaceWater_Line.zip - shapefile (2.26 MB) Peter Cooper, 2016-03-06 06:46 AM

qgis-20160306-122415-6612-3760-unknown.zip - minidump (3.84 MB) Peter Cooper, 2016-03-06 06:46 AM

History

#1 Updated by Peter Cooper over 4 years ago

files keep not completing load, so I will do them individually.

#2 Updated by Peter Cooper over 4 years ago

  • File TL_SurfaceWater_Line.dbf added
  • File TL_SurfaceWater_Line.prj added

minidump "could not be saved" so I will try the shapefile - 2 of 4 elements.

#3 Updated by Peter Cooper over 4 years ago

Ignore files before. shapefile is now in zip.

#4 Updated by Anita Graser over 4 years ago

  • File deleted (TL_SurfaceWater_Line.prj)

#5 Updated by Anita Graser over 4 years ago

  • File deleted (TL_SurfaceWater_Line.dbf)

#6 Updated by Nyall Dawson over 4 years ago

  • Status changed from Open to Feedback

No segfault here (Linux, using 2.14). Can you please test with 2.14 and also confirm your O/S?

#7 Updated by Peter Cooper over 4 years ago

  • Status changed from Feedback to Closed

I am using Windows 10. I can confirm there is no problem with QGIS 2.14. Thanks.

Sorry - I should have tested with the latest version before logging the issue. I am using 2.8 for a reason relating to BoundlessGeo's OpenGeo plugin.

#8 Updated by Jürgen Fischer about 3 years ago

  • Category set to Unknown

Also available in: Atom PDF